import byte_array_convertor as bac

# rx = b'\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\xfe\x00\xfd\x00+\x02{\x00\
# \xfe\x00\xfd\xfd\x00+\x02{\x00\xfe\x00'

rx = b'\xfd\x00+\x02{\x00\xfe\x00\xfd\xfd\x00+\x02{\x00\xfe\x00' # получен лишний байт - после перемещения бит - некорректные значения
# [253, 555, 123, 254, 65021, 11008, 31490, 65024]
a = 0

print(bac.byte_arr_to_dec(rx))